 #!/bin/bash

INSTDIR=$(cat INSTDIR)			
PLAYIN=$(cat PLAYIN)			
PLAYOUT=$(cat PLAYOUT)
REC=$(cat REC)
DEFDIR=$(cat DEFDIR)
RECTAPNM=$(cat RECTAPNM)

#Start tuning
#xte "keydown Alt_L" "key Tab" "keyup Alt_L"
cd $DEFDIR
wmctrl -a 'the taperecorder'
arecord --vumeter=mono -D plughw:$REC -f dat $RECTAPNM.wav

############################ convert

clear
echo 
echo "converting WAVE file to TAP file"
wine $INSTDIR/data/audiotap/audio2tap.exe -i -H12 -d --freq48000 -t20 $RECTAPNM.tap $RECTAPNM.wav
sleep 2
clear
echo "file converted!"
sleep 2

exit
	


