#!/bin/bash

# Start Program
# Read variables

INSTDIR=$(cat INSTDIR)	
echo $INSTDIR"files" > DEFDIR	
PLAYIN=$(cat PLAYIN)			
PLAYOUT=$(cat PLAYOUT)
REC=$(cat REC)
DEFDIR=$(cat DEFDIR)
RECTAPNM=$(cat RECTAPNM)

nulli=1
until [ nulli == 1 ]; 
do
{


###### Main Menue  ##########################################
clear
AUSWAHL=0
echo " Taperecorder v0.5     by  picrard of TPC"
echo
echo " menue"
echo " --------------------------------------"
echo " 1 - Check band phase"
echo " 2 - Record 	Tape > to Wave > (to TAP)"
echo " 3 - Record 	(TAP to) > Wave > to Tape"
echo " 4 - Converter"
echo " 5 - Clean tap (possible but not required,cleans spam on tap-file)" 
echo
echo " 6 - setup Taperecorder (directory,soundcards...)"
echo " x - end"
echo 
echo " choose your choice and enter!"
read -p ">" AUSWAHL
sleep 0

###### Spur einstellen ##########################################

 if [ "$AUSWAHL" == "1" ];then      		
			{
			clear
			echo
			echo " Press 'Play' and listen to the sound of the loader"
			echo " if the pilot tone sounds noisy, use screwdriver and turn the screw"
			echo " until it sounds clear, than you have finished your justage!"
			echo
			echo " After you have finished press any key to get back into main menue"
			echo
#			wmctrl -a 'gnome-terminal' --geometry 70x15+10+350 gnome-terminal -x ./mods/tune2.sh
			gnome-terminal --geometry 80x15+10+350 --title="tune" --hide-menubar -x ./tune1.sh
#			xterm -geometry 70x15+10+350 ./mods/tune2.sh
#			xterm -hold -e 'arecord --vumeter=mono -D plughw:2 -f dat | aplay -D plughw:1'; wmctrl -a 'picrard@master'
#			konsole --hold -e ./mods/tune2.sh; wmctrl -a 'Konsole'

			stty -icanon -echo min 1 time 0
			dd bs=1 count=1 >/dev/null 2>&1
			stty stty -g
			pkill aplay
			clear

			
			}
			fi

########################### RECORD FROM TAPE ############################################

 if [ "$AUSWAHL" == "2" ];then      		
	{
    until [ "$tapeauf" == "x" ]; 
    do
        {
			clear
			echo
			DEFDIR=$(cat DEFDIR)
			RECTAPNM=$(cat RECTAPNM)
			MULTITAP=$(cat MULTITAP)
			
			echo " Record from tape"
			echo
			echo " 1 - Change Directory"
			echo " default: "$DEFDIR
			echo " 2 - List Directory"
			echo " 3 - Enter Name of file to record: "$RECTAPNM
			echo " 4 - Change multi convert, also convert to TAP : " $MULTITAP
			echo " r - Record file"
			echo " x - Back to main"
			read -p ">" tapeauf
#######################################		
	 		if [ "$tapeauf" == "1" ];then      		
			{	
			echo " old Directory:"$DEFDIR
			echo " Please enter new Directory"
			read -p ">" DEFDIR
			echo $DEFDIR > DEFDIR
			}
			fi
########################################
	 		if [ "$tapeauf" == "3" ];then      		
			{	
			echo " Please enter name of file:"
			read -p ">" RECTAPNM
			echo $RECTAPNM > RECTAPNM
			}
			fi
#######################################
	 		if [ "$tapeauf" == "2" ];then      		
			{	
			clear
			ls -a $DEFDIR | more
			sleep 2
			}
			fi
########################################
	 		if [ "$tapeauf" == "4" ];then      		
			{	

	 			if [ "$MULTITAP" == "yes" ];then      		
				{	
				echo "switch multi convert off"
				echo "no" >  MULTITAP
				sleep 2
				}
				fi
				
	 			if [ "$MULTITAP" == "no" ];then      		
				{	
				echo "switch on multi convert"
				echo "yes" >  MULTITAP
				sleep 2
				}
                fi
			}
			fi
#######################################
	 		if [ "$tapeauf" == "r" ];then      		
			{	

	 			if [ "$MULTITAP" == "no" ];then      		
				{	
                echo
                echo " Ready to record WAV file from tape"
                echo " Please wind your tape to position"
                echo " if you are ready press any key to start recording...."
                echo
                stty -icanon -echo min 1 time 0
                dd bs=1 count=1 >/dev/null 2>&1
                stty stty -g
                gnome-terminal --geometry 80x15+10+350 --title="record" --hide-menubar -x ./rec1.sh
                clear
                echo
                echo " Recording file from tape, please watch VU meter,"
                echo " if VU meter changes to 0 for a longer time ..."
                echo " ...press enter to stop recording."
                echo
                read -p "" press
                pkill arecord
                echo
                echo "file recorded!"
                sleep 2
                clear
				
				
				}
				fi
				
                if [ "$MULTITAP" == "yes" ];then      		
				{	
                echo
                echo " Ready to record WAV file from tape and converting to TAP"
                echo " Please wind your tape to position"
                echo " if you are ready press any key to start recording...."
                echo
                stty -icanon -echo min 1 time 0
                dd bs=1 count=1 >/dev/null 2>&1
                stty stty -g
                gnome-terminal --geometry 80x15+10+350 --title="record" --hide-menubar -x ./rec2.sh
                clear
                echo
                echo " Recording file from tape, please watch VU meter,"
                echo " if VU meter changes to 0 for a longer time ..."
                echo " ...press enter to stop recording."
                echo
                read -p "" press
                pkill arecord
                echo
                echo "file recorded!"
                sleep 2
                echo 
#               echo converting WAVE file to TAP file
#               $INSTDIR/files/wine files/audiotap/audio2tap.exe -i -H12 -d --freq48000 -t20 $DEFDIR/$RECTAPNM.tap $DEFDIR/$RECTAPNM.wav
#               echo "file converted!"
#               sleep 2
               clear
				
				
				}
				fi
				
				
				
	 		
			}
			fi
#######################################


        }
    done
    tapeauf=1
    }
    fi

	

	

########################### RECORD TO TAPE ############################################


 if [ "$AUSWAHL" == "3" ];then      		
	{
    until [ "$tapeon" == "x" ]; 
    do
        {
			clear
			echo
			DEFDIR=$(cat DEFDIR)
			RECTAPNM=$(cat RECTAPNM)
			MULTIWAV=$(cat MULTIWAV)
			
			echo " Copy TAP/WAV to tape"
			echo
			echo " 1 - Change Directory"
			echo " default: "$DEFDIR
			echo " 2 - List Directory"
			echo " 3 - Enter Name of file to Convert/Play: "$RECTAPNM
			echo " 4 - Change multi convert, also convert from TAP to WAV : " $MULTIWAV
			echo " r - Record file to tape"
			echo " x - Back to main"
			read -p ">" tapeon
#######################################		
	 		if [ "$tapeon" == "1" ];then      		
			{	
			echo " old Directory:"$DEFDIR
			echo " Please enter new Directory"
			read -p ">" DEFDIR
			echo $DEFDIR > DEFDIR
			}
			fi
########################################
	 		if [ "$tapeon" == "3" ];then      		
			{	
			echo " Please enter name of file:"
			read -p ">" RECTAPNM
			echo $RECTAPNM > RECTAPNM
			}
			fi
#######################################
	 		if [ "$tapeon" == "2" ];then      		
			{	
			clear
			ls -a $DEFDIR | more
			sleep 2
			}
			fi
########################################
	 		if [ "$tapeon" == "4" ];then      		
			{	

	 			if [ "$MULTIWAV" == "yes" ];then      		
				{	
				echo "switch multi convert off"
				echo "no" >  MULTIWAV
				sleep 2
				}
				fi
				
	 			if [ "$MULTIWAV" == "no" ];then      		
				{	
				echo "switch on multi convert"
				echo "yes" >  MULTIWAV
				sleep 2
				}
                fi
			}
			fi
#######################################
	 		if [ "$tapeon" == "r" ];then      		
			{	

	 			if [ "$MULTIWAV" == "no" ];then      		
				{	
                echo
                echo " Ready to play WAV file to tape"
                echo " Please wind your tape to position"
                echo " remember clear band at start of cassette(no recording)"
                echo " if you are ready press any key to start recording...."
                echo
                stty -icanon -echo min 1 time 0
                dd bs=1 count=1 >/dev/null 2>&1
                stty stty -g
                gnome-terminal --geometry 80x15+10+350 --title="play" --hide-menubar -x ./play1.sh
                clear
                echo
                echo " Recording file from WAV to tape,"
                echo " recording is ready when window upon will fade."
		echo " Press enter if recording is finished!"
                echo
                read -p "" press
                pkill aplay
                echo
                echo "file recorded to tape!"
                sleep 2
                clear
				
				
				}
				fi
				
                if [ "$MULTIWAV" == "yes" ];then      		
				{	
                echo
                echo " Ready to convert from TAP to WAV"
                echo " after converting start to record to tape"
                echo " if you are ready press any key to start recording...."
                echo
                stty -icanon -echo min 1 time 0
                dd bs=1 count=1 >/dev/null 2>&1
                stty stty -g
                gnome-terminal --geometry 80x15+10+350 --title="play" --hide-menubar -x ./play2.sh
                clear
                sleep 2
                echo 
#               echo converting WAVE file to TAP file
#               $INSTDIR/files/wine files/audiotap/audio2tap.exe -i -H12 -d --freq48000 -t20 $DEFDIR/$RECTAPNM.tap $DEFDIR/$RECTAPNM.wav
#               echo "file converted!"
#               sleep 2
               clear
				
				
				}
				fi
				
				
				
	 
			}
			fi
#######################################


        }
    done
    tapeon=1
    }
    fi


########################### Convert File ############################################


 if [ "$AUSWAHL" == "4" ];then      		
	{
    until [ "$conf" == "x" ]; 
    do
        {
			clear
			echo
			DEFDIR=$(cat DEFDIR)
			RECTAPNM=$(cat RECTAPNM)
			MULTIWAV=$(cat MULTIWAV)
			
			echo " Convert File"
			echo
			echo " 1 - Change Directory"
			echo " default: "$DEFDIR
			echo " 2 - List Directory"
			echo " 3 - Enter Name of file to Convert/Play: "$RECTAPNM
			echo " 4 - Convert WAV > TAP "
			echo " 5 - Convert TAP > WAV"
			echo " x - Back to main"
			read -p ">" conf
#######################################		
	 		if [ "$conf" == "1" ];then      		
			{	
			echo " old Directory:"$DEFDIR
			echo " Please enter new Directory"
			read -p ">" DEFDIR
			echo $DEFDIR > DEFDIR
			}
			fi
########################################
	 		if [ "$conf" == "3" ];then      		
			{	
			echo " Please enter name of file:"
			read -p ">" RECTAPNM
			echo $RECTAPNM > RECTAPNM
			}
			fi
#######################################
	 		if [ "$conf" == "2" ];then      		
			{	
			clear
			ls -a $DEFDIR | more
			sleep 2
			}
			fi
########################################
	 		if [ "$conf" == "4" ];then      		
			{	
			clear
			echo
	 		echo " converting "$RECTAPNM".wav to "$RECTAPNM".tap"
			sleep 2
			echo
			cd $DEFDIR
			wine $INSTDIR/data/audiotap/audio2tap.exe -i -H12 -d --freq48000 -t20 $RECTAPNM.tap $RECTAPNM.wav
			sleep 1
			clear
			echo "file converted!"
			sleep 2
			cd $INSTDIR/data
			clear
			}
			fi
#######################################
	 		if [ "$conf" == "5" ];then      		
			{	
			clear
			echo
	 		echo " converting "$RECTAPNM".tap to "$RECTAPNM".wav"
			sleep 2	
			echo
			cd $DEFDIR
			wine $INSTDIR/data/audiotap/tap2audio.exe -f48000 -v255 $RECTAPNM.tap $RECTAPNM.wav
			sleep 1
			clear
			echo "file converted!"
			sleep 2
			cd $INSTDIR/data
			clear
			}
			fi

#######################################


        }
    done
    conf=1
    }
    fi


########################### Clean tap ############################################


 if [ "$AUSWAHL" == "5" ];then      		
	{
    until [ "$cltap" == "x" ]; 
    do
        {
			clear
			echo
			DEFDIR=$(cat DEFDIR)
			RECTAPNM=$(cat RECTAPNM)
			MULTIWAV=$(cat MULTIWAV)
			
			echo " Clean File"
			echo
			echo " 1 - Change Directory"
			echo " default: "$DEFDIR
			echo " 2 - List Directory"
			echo " 3 - Enter Name of file to Convert/Play: "$RECTAPNM
			echo " 4 - Clean tap file will named: clean."$RECTAPNM".tap"
			echo " x - Back to main"
			read -p ">" cltap
#######################################		
	 		if [ "$cltap" == "1" ];then      		
			{	
			echo " old Directory:"$DEFDIR
			echo " Please enter new Directory"
			read -p ">" DEFDIR
			echo $DEFDIR > DEFDIR
			}
			fi
########################################
	 		if [ "$cltap" == "3" ];then      		
			{	
			echo " Please enter name of file:"
			read -p ">" RECTAPNM
			echo $RECTAPNM > RECTAPNM
			}
			fi
#######################################
	 		if [ "$cltap" == "2" ];then      		
			{	
			clear
			ls -a $DEFDIR | more
			sleep 2
			}
			fi
########################################
	 		if [ "$cltap" == "4" ];then      		
			{	
			clear
	                gnome-terminal --geometry 80x25+10+350 --title="clean" --hide-menubar -x ./clean.sh
			clear
			}
			fi

#######################################


        }
    done
    cltap=1
    }
    fi


########################### Setup ############################################


 if [ "$AUSWAHL" == "6" ];then      		
	{
    until [ "$setit" == "x" ]; 
    do
        {
			clear
			echo
			DEFDIR=$(cat DEFDIR)
			RECTAPNM=$(cat RECTAPNM)
			MULTIWAV=$(cat MULTIWAV)
			
			echo " Setup Taperecorder"
			echo
			echo " 1 - Change installed Directory"
			echo " (WARNING: DO NOT CHANGE IF NOT REQUIRED !!!)"
			echo " default: "$INSTDIR
			echo " 2 - Change IN and OUT of sound cards"
			echo " x - Back to main"
			read -p ">" setit
#######################################		
			really=$"no"
	 		if [ "$setit" == "1" ];then      		
			{	
			echo " old Directory:"$DEFDIR
			echo " Please enter new Directory"
			read -p ">" INSTDIR
			echo
			echo "ARE YOU SURE!!!??? (yes or no)"
			read -p ">" really
			
				if [ "$really" == "yes" ];then      		
				{	
				echo $INSTDIR > INSTDIR
				echo "no changed to: "$INSTDIR
				sleep 2

				}
				fi
				
	 			if [ "$MULTIWAV" == "no" ];then      		
				{	
				echo "no change!!!"
				sleep 2
				}
                		fi
			

			
			}
			fi
#######################################
			really=$"no"	
	 		if [ "$setit" == "2" ];then      		
			{

			clear
			echo "List of Audiocards"
			aplay -l | grep Audio
			echo
			echo " First card is your audio output/ Card named with USB is your Datasette Port"
			echo " Your Ports:"
			echo " Audio out : " $PLAYOUT
			echo " Datasette Port :" $PLAYIN
			echo " Wanna change? (yes or no)"
			read -p ">" really
	


		
				if [ "$really" == "yes" ];then      		
				{	
				read -p " Please enter audio out (1, 2 or 3) >" PLAYOUT 
				read -p " Please enter Datasette Port (1, 2 or 3) >" PLAYIN
				echo $PLAYOUT > PLAYOUT
				echo $PLAYIN > PLAYIN	
				echo $PLAYIN > REC					
				echo " Ports Changed "
				sleep 2

				}
				fi

	 			if [ "$really" == "no" ];then      		
				{	
				echo "no change!!!"
				sleep 2
				}
                		fi
				

			

			}
			fi

#######################################


        }
    done
    setit=1
    }
    fi


##############################################################################


############################# END  #################################
		
 if [ "$AUSWAHL" == "x" ];then      		
			{
			clear
			echo
			echo "bye bye!"
			echo
			sleep 2
			clear
			exit 0
			
			}
			fi



}											
done

exit 0

